package com.ozs.web.controller.home;

import com.github.pagehelper.PageInfo;
import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.core.domain.model.LoginUser;
import com.ozs.common.utils.poi.ExcelUtil;
import com.ozs.framework.web.service.TokenService;
import com.ozs.plan.doman.PlanYears;
import com.ozs.plan.doman.vo.requestVo.PlanYearsStandardVo;
import com.ozs.plan.service.PlanYearsService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 系统首页控制层
 *
 * @author buzhanyi
 */
@RestController
@RequestMapping("/home/systemHomepage")
public class SystemHomepageController extends BaseController {
    @Autowired
    private PlanYearsService planYearsService;

    @ApiOperation(value = "需求单位首页计划管理总数")
    @PostMapping("/demandUnit/planManagement/total")
    public AjaxResult demandUnitPlanManagementTotal() {
        return planYearsService.demandUnitPlanManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页计划管理总数")
    @PostMapping("/purchasingManagement/planManagement/total")
    public AjaxResult purchasingManagementPurchasingManagementTotal() {
        return planYearsService.purchasingManagementPurchasingManagementTotal();
    }

    @ApiOperation(value = "需求单位首页需求管理总数")
    @PostMapping("/demandUnit/demandManagement/total")
    public AjaxResult demandUnitDemandManagementTotal() {
        return planYearsService.demandUnitDemandManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页需求管理总数")
    @PostMapping("/purchasingManagement/demandManagement/total")
    public AjaxResult purchasingManagementDemandManagementTotal() {
        return planYearsService.purchasingManagementDemandManagementTotal();
    }

    @ApiOperation(value = "需求单位首页合同管理总数")
    @PostMapping("/demandUnit/contractManagement/total")
    public AjaxResult demandUnitContractManagementTotal() {
        return planYearsService.demandUnitContractManagementTotal();
    }

    @ApiOperation(value = "需求单位首页建设管理总数")
    @PostMapping("/demandUnit/constructionManagement/total")
    public AjaxResult demandUnitConstructionManagementTotal() {
        return planYearsService.demandUnitConstructionManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页任务下达管理总数")
    @PostMapping("/purchasingManagement/taskRelease/total")
    public AjaxResult purchasingManagementTaskReleaseTotal() {
        return planYearsService.purchasingManagementTaskReleaseTotal();
    }

    @ApiOperation(value = "采购办首页采购执行管理总数")
    @PostMapping("/procurementOffice/procurementExecution/total")
    public AjaxResult procurementOfficeProcurementExecutionTotal() {
        return planYearsService.procurementOfficeProcurementExecutionTotal();
    }

    @ApiOperation(value = "采购办首已中标项目理总数")
    @PostMapping("/procurementOffice/winningTheBid/total")
    public AjaxResult procurementOfficeWinningTheBidTotal() {
        return planYearsService.procurementOfficeWinningTheBidTotal();
    }

    @ApiOperation(value = "采购办首未中标项目理总数")
    @PostMapping("/procurementOffice/failureToWinTheBid/total")
    public AjaxResult procurementOfficeFailureToWinTheBidTotal() {
        return planYearsService.procurementOfficeFailureToWinTheBidTotal();
    }
    
}
